<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | ~%header%</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.edit.series.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const PERMISSION = '~%permission%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
	</script>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%header%</h1>


<div class="center-screen">
	<div class="small-input-container">
		<table id="input-container">
			<tr>
				<td class="left-col"><label for="topDeskId">TOPDesk Nummer</label></td>
				<td class="right-col">
					<input id="topDeskId" name="topDeskId" maxlength="20"/>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="requesterId">Aanvrager</label></td>
				<td class="right-col">
					<select id="requesterId" name="requesterId">~%requesterOptions%</select>
					<span class="inactive-warning">Deze aanvrager is niet meer actief</span>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="departmentId">Afdeling</label></td>
				<td class="right-col">
					<select id="departmentId" name="departmentId">~%departmentOptions%</select>
					<span class="inactive-warning">Deze afdeling is niet meer actief</span>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="cmsId">Systeem</label></td>
				<td class="right-col">
					<select id="cmsId" name="cmsId">~%cmsOptions%</select>
					<span class="inactive-warning">Dit systeem is niet meer actief</span>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="instituteId">Instituut code</label></td>
				<td class="right-col">
					<select id="instituteId" name="instituteId">~%instituteOptions%</select>
					<span class="inactive-warning">Dit instituut is niet meer actief</span>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="collectionId">Collectie code</label></td>
				<td class="right-col">
					<select id="collectionId" name="collectionId">~%collectionOptions%</select>
					<span class="inactive-warning">Deze collectie is niet meer actief</span>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="firstNumber">Eerste nummer</label></td>
				<td class="right-col"><input id="firstNumber" name="firstNumber" /></td>
			</tr>				
			<tr>
				<td class="left-col"><label for="amount">Aantal</label></td>
				<td class="right-col"><input id="amount" name="amount" /></td>
			</tr>
			<tr>
				<td class="left-col"><label for="lastNumber">Laatste nummer</label></td>
				<td class="right-col"><input id="lastNumber" name="lastNumber" class="disabled" disabled="disabled"/></td>
			</tr>
			<tr>
				<td class="left-col"><label for="comments">Opmerkingen</label></td>
				<td class="right-col">
					<textarea id="comments" name="comments" maxlength="4096" rows="5" cols="50"></textarea>
				</td>
			</tr>
		</table>
	
		<div style="padding:20px 0 5px 0;text-align: center">
			<button class="btn btn-outline-primary" onclick="prepareSaveOrUpdate()">
				Opslaan
			</button>
			<button id="delete-button" class="btn btn-outline-primary" style="display:none;">
				Verwijderen
			</button>
			<button id="lock-button" class="btn btn-outline-primary" style="display:none;">
				Vergrendelen
			</button>					
			<button class="btn btn-outline-primary" type="button" onclick="window.location.reload()">
				Terugzetten
			</button>
			<button class="btn btn-outline-primary" onclick="showListPage()">
				Sluiten
			</button>
		</div>
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%


<script>
$(function() {

	initEditPage();
	
	// fields is declared in bcd.edit.series.js
	fields = new FieldCache(
		$("select[name=instituteId]"),
		$("select[name=collectionId]"),
		$("input[name=firstNumber]"),
		$("input[name=lastNumber]"),
		$("input[name=amount]")
	);
	
	fields.firstNumber()
		.prop("disabled", false)
		.keypress(function(event) { return isPositiveInteger($(this), event);})
		.change(firstNumberChanged);
	fields.amount()
		.prop("disabled", false)
		.keypress(function(event) { return isPositiveInteger($(this), event);})
		.change(amountChanged);
	
	fields.instituteId().change(instituteChanged);
	fields.collectionId().change(collectionChanged);
	
	$("select")
		.change(showOrHideInactiveWarning)
		.each(showOrHideInactiveWarning);
		
	if(!isNull(MODEL_BEAN.requestId)) {
		$("#delete-button").css("display", "inline-block").click(function() {
			deleteRecord("Nummerreeks", MODEL_BEAN.requestId, MODEL_BEAN.firstLabel);
		});
		$("#lock-button").css("display", "inline-block").click(function() {
			lockNumberSeries(MODEL_BEAN.requestId);
		});		
		getMinFirstNumberForSeries();
	}	

});
</script>

</body>
</html>